Description

It should be possible to automatically and immediately create repositories for projects. The current method (reposman.rb being run

every so often by cron) is far from perfect.

In the project's Settings -> Repository tab there is a 'select' to choose a SCM.

Currently:

When the SCM is chosen (git, svn, bazaar, etc), the "repository_field_tags" method in app/helpers/repositories_helper.rb is

called and creates the fields each SCM need.

User fills in the location of the repository (which should have been created manually) and clicks "Create"

Proposal:

When the SCM is chosen, show two radiobuttons: "Automatically create repository" and "Manually specify repository location"

(see attached screenshot)

Add a "Default location for repositories" text entry to Administration -> Settings -> Repositories. This would be the directory

where repositories are automatically created.

If user chooses "Automatically create repository", call reposman.rb and create the repository immediately in the default

repository location

If user chooses "Manually specify repository location", do what is currently being done: call the "repository_field_tags" method in

app/helpers/repositories_helper.rb, creates the fields each SCM needs, the user fills in the repository location.

Related issues:

Related to Redmine - Feature #1833: Repository & Project Management New 2008-08-29

History

#1 - 2008-11-19 13:28 - Anonymous

+1

#2 - 2008-11-20 06:12 - Adam Knight

Yes.  This.  I like. +1

#3 - 2008-11-21 11:31 - Anonymous

See #1833 as well.

#4 - 2008-11-26 15:38 - Richard Pecl

+1

#5 - 2009-03-31 10:04 - Oleg Lozinskij

+1

#6 - 2010-02-11 20:10 - Bruno Prado

Redmine is configured to create repositories on reposman.rb run if the module Repository is enabled. What I did was: created a shell script containing

the whole command to run reposman.rb, and when a new project in Redmine is created, I manually run shell reposman. I suggest that when a project

is created in Redmine, it automatically creates its repository (if the module is enabled, as it's done today).

#7 - 2010-02-11 20:45 - Jean-Philippe Lang
https://www.redmine.org/issues/1833


- Category set to SCM

#8 - 2010-03-11 22:02 - Pieter Smith

+1

Also with the ability to specify the SCM type and default location per project.  Some of my projects work better with SVN and others with GIT.

I'd be more than willing to contribute if someone gives me the opportunity.

#9 - 2010-08-23 13:32 - Stefano Gargiulo

+1

#10 - 2010-08-25 02:29 - Terence Mill

+1

#11 - 2011-04-21 23:52 - Julien CLERC

Has someone got the solution ? Currently, what is the best way to do that properly ?

#12 - 2011-07-05 15:49 - Andriy Lesyuk

Just came across this issue... I have implemented similar functionality in my plugin: http://www.redmine.org/plugins/redmine_scm

#13 - 2012-10-28 18:33 - Daniel Felix

This could be useful two for some administrator who don't want to run the repoman every minute or every 15 minutes, but always want to have simple

and fast repositories.

Another kind of idea how to implement this:

- Add some checkbox "create repository immediatly"

- If checkbox is selected automatically run repoman in background.

This way, repoman could also be deactivated and could run only if the user wants to create repositories.
